#include "stdafx.h"
#include "mcText.h"

void function(mcText* t)
{
	t->setLimit(true, 640);
	
	t->space(64 + 4); 	t->add("Неизвестный предмет");  t->enter();
	t->spaceY(8);
	t->space(64 + 4); 	t->add("-");  t->enter();
	t->spaceY(8);
	t->space(64 + 4); 	t->add("Предмет", sf::Color(204,102,0));   t->enter();
	t->spaceY(8);
}

int main()
{
	sf::Font font;
	font.loadFromFile("fonts/AnimeAceV02.ttf");
	mcText* text = new mcText(&font);
	function(text);

	sf::RenderWindow window(sf::VideoMode(640, 480), "vk.com/legozaur");
 
	while (window.isOpen())
	{
		sf::Event event;
		while (window.pollEvent(event))
		{
			if (event.type == sf::Event::Closed)
				window.close();
		}
 
		window.clear(sf::Color::White);
		text->draw(&window);
		window.display();
	}
 
	return 0;
}